import React, { Component } from 'react';
import BlockInp from '@containers/BlockInpContainer';
import { connect } from "react-redux";

class PastHistory extends Component {
  constructor(props) {
    super(props)
  }
  render() {
    const { value, isRead } = this.props;
    return <BlockInp title='既往史' boxMark='13' value={value} isRead={isRead}></BlockInp>;
  }
}

function mapStateToProps(state) {
  const { pastHistory } = state;
  return {
    value: pastHistory && pastHistory.saveText[0],
  }
}
function mapDispatchToProps(dispatch, store) {
  return {
  }
}

const PastHistoryCont = connect(
  mapStateToProps,
  mapDispatchToProps
)(PastHistory);

export default PastHistoryCont;